# HelloServer Class Reference

Inherits pion::net::TCPServer.

List of all members.

## Detailed Description

simple TCP server that just sends "Hello there!" to each connection

Definition at line 22 of file PionHelloServer.cpp.

## Public Member Functions

| HelloServer (const unsigned int tcp_port)
virtual | ~HelloServer ()
virtual void | handleConnection (TCPConnectionPtr &tcp_conn)

## Member Function Documentation

virtual void HelloServer::handleConnection | ( | TCPConnectionPtr & | tcp_conn | ) | `[inline, virtual]`

handles a new TCP connection; derived classes SHOULD override this since the default behavior does nothing

Parameters:

  | tcp_conn | the new TCP connection to handle

Reimplemented from pion::net::TCPServer.

Definition at line 26 of file PionHelloServer.cpp.

The documentation for this class was generated from the following file:

- net/utils/PionHelloServer.cpp